Name:           perl-Parse-DMIDecode
Version:        0.03
Release:        1%{?dist}
Summary:        Interface to SMBIOS using dmidecode
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-DMIDecode/
Source0:        http://www.cpan.org/modules/by-module/Parse/Parse-DMIDecode-%{version}.tar.gz
# Pod fixing patch from RT 52296 -> https://rt.cpan.org/Ticket/Attachment/699959/360879/fix-pod-urls.patch
Patch1:         fix-pod-urls.patch
# This mirrors the ExclusiveArch in the dmidecode spec file
ExclusiveArch:  %{ix86} x86_64 ia64
BuildRequires:  dmidecode
BuildRequires:  perl
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Which) >= 0.05
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.2
BuildRequires:  perl(Test::Pod::Coverage) >= 1.06
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       dmidecode
Requires:       perl(File::Which) >= 0.05
Requires:       perl(Data::Dumper)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an OO interface to SMBIOS information through the
dmidecode command which is known to work under a number of Linux, BSD and
BeOS variants.

%prep
%setup -q -n Parse-DMIDecode-%{version}
%patch1 -p1

%build
# a debug package is not required as there are no binaries in this package
%define debug_package %{nil}
AUTOMATED_TESTING=1 %{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE NOTICE README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 23 2014 David Dick <ddick@cpan.org> - 0.03-1
- Initial release
